First time here? Check out the FAQ!
x

Is the "Sonicfire Pro 580 Plugins CE" plugin working for Pinnacle 18 and now 19?

0 votes
asked by
edited by

Are you the creators of the Plugin "Sonicfire Pro 580 Plugins CE"? I want to know how to enable compatibility for the plugin on Pinnacle 18 and now 19 ?

1 Answer

0 votes
answered by (236k points)

Yes, the 5.80 version of this plugin is compatible with the Pinnacle 15 through version 19. You can find additional information on the following website: http://www.smartsound.com/sonicfire/pinnacle

You can also test the trial version available for downloading through the same website: http://www.smartsound.com/sonicfire/downloads/

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...